net.sf.cglib.core

## Class CodeGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.cglib.core.CodeGenerationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    UndeclaredThrowableException

      public class CodeGenerationException
      extends java.lang.RuntimeException

  Version:
    $Id: CodeGenerationException.java,v 1.3 2004/06/24 21:15:21 herbyderby Exp $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeGenerationException(java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeGenerationException

          public CodeGenerationException(java.lang.Throwable cause)

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`

Copyright (c) 2001 - Apache Software Foundation